For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get customer details

Get details for a customer.

get
/tenants/{tenantUid}/customers/{customerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerResponseSchema

addressstringRequired
citystringRequired
companyNamestringRequired
countryCodestringRequired

ISO 3166-1: 2 characters representation of country

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
customerParentUidstringRequired

References another customer, establishing it as a department under the main customer. Only applicable when customerType is COMPANY.

Pattern: ^[A-Za-z0-9-_]*
customerTypestring · enumRequiredPossible values:
emailstringRequired
externalIdstringRequired
customerNumberstringRequired

Tenant-scoped running customer number, assigned on creation. Absent for customers created before customer numbers were enabled, or when the tenant has no customer number series.

firstnamestringRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
ledgerNumberstringOptionalDeprecated

Deprecated. Use ledgerNumber in accountingConfigs instead

mobilestringRequired
postalCodestringRequired
pricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

originstringRequired
loyaltyIdstringRequired
displayNamestringRequired
paymentTermsintegerRequired
internalNotestringRequired
ehfEnabledbooleanOptionalDeprecated

Deprecated: Use ehf -> enabled instead

customerGroupUidsstring[]Required
relevancenumberRequired
get/tenants/{tenantUid}/customers/{customerUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerUid": "text",
  "customerParentUid": "text",
  "customerType": "COMPANY",
  "email": "text",
  "externalId": "text",
  "customerNumber": "text",
  "firstname": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastname": "text",
  "mobile": "text",
  "postalCode": "text",
  "pricelistUid": "text",
  "vatNumber": "text",
  "origin": "text",
  "addresses": [
    {
      "address": "text",
      "city": "text",
      "companyName": "text",
      "firstname": "text",
      "lastname": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "postalCode": "text",
      "type": "DELIVERY_ADDRESS",
      "customerAddressUid": "text",
      "displayName": "text"
    }
  ],
  "contacts": [
    {
      "firstname": "text",
      "lastname": "text",
      "email": "text",
      "mobile": "text",
      "address": "text",
      "postalCode": "text",
      "city": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "customerContactUid": "text",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ],
      "displayName": "text",
      "role": "ADMIN"
    }
  ],
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "consents": [
    {
      "consentUid": "text",
      "name": "text",
      "status": true,
      "source": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "loyaltyId": "text",
  "displayName": "text",
  "credit": {
    "limit": 1,
    "balance": 1
  },
  "paymentTerms": 1,
  "internalNote": "text",
  "accountManager": {
    "tenantUserUid": "text",
    "displayName": "text",
    "userCode": "text"
  },
  "ehf": {
    "enabled": true,
    "address": "text"
  },
  "customerGroupUids": [
    "text"
  ],
  "defaultStore": {
    "name": "text",
    "storeUid": "text"
  },
  "representedStore": {
    "name": "text",
    "storeUid": "text"
  },
  "relevance": 1
}

Last updated

Was this helpful?